| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
cv::Tracker Class Referenceabstract
Video Analysis » Object Tracking

Base abstract class for the long-term tracker. More...

`#include <opencv2/video/tracking.hpp>`

Collaboration diagram for cv::Tracker:

## Public Member Functions
virtual | ~Tracker ()
virtual float | getTrackingScore ()
| Return tracking score.
virtual void | init (InputArray image, const Rect &boundingBox)=0
| Initialize the tracker with a known bounding box that surrounded the target.
virtual bool | update (InputArray image, Rect &boundingBox)=0
| Update the tracker, find the new most likely bounding box for the target.

## Protected Member Functions
| Tracker ()

## Detailed Description

Base abstract class for the long-term tracker.

## Constructor & Destructor Documentation

## ◆ Tracker()

cv::Tracker::Tracker | ( |  | ) |
| protected

## ◆ ~Tracker()

virtual cv::Tracker::~Tracker | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getTrackingScore()

virtual float cv::Tracker::getTrackingScore | ( |  | ) |
| inline virtual

Python:
| cv.Tracker.getTrackingScore( |  | ) -> | retval

Return tracking score.

## ◆ init()

virtual void cv::Tracker::init | ( | InputArray | image,
|  | const Rect & | boundingBox )
| pure virtual

Python:
| cv.Tracker.init( | image, boundingBox | ) -> | None

Initialize the tracker with a known bounding box that surrounded the target.

Parameters

  image | The initial frame
  boundingBox | The initial bounding box

## ◆ update()

virtual bool cv::Tracker::update | ( | InputArray | image,
|  | Rect & | boundingBox )
| pure virtual

Python:
| cv.Tracker.update( | image | ) -> | retval, boundingBox

Update the tracker, find the new most likely bounding box for the target.

Parameters

  image | The current frame
  boundingBox | The bounding box that represent the new target location, if true was returned, not modified otherwise

Returns
  True means that target was located and false means that tracker cannot locate target in current frame. Note, that latter does not imply that tracker has failed, maybe target is indeed missing from the frame (say, out of sight)

The documentation for this class was generated from the following file:

- opencv2/video/tracking.hpp